clear all;
close all;
clc;

addpath(genpath(pwd));

%% Paths and variables
pth_wav = ['_example' filesep 'alkoholik8k.wav'];

%% Load the signal
[y, fs] = audioread(pth_wav);

%% Perform VTLN
z = vocal_tract_length_normalization(y, fs, 'asymmetric', 1.4);

%% Play the signals
sound(y, fs); % original signal
sound(z, fs); % processed signal